=== debian/changelog ===
libmirisdr (0.0.4.59ba37-5) unstable; urgency=medium

  * swap short descriptions. Thanks Daniele! (Closes: #813996)
  * lintian fixes

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 26 Apr 2016 21:02:31 -0400

libmirisdr (0.0.4.59ba37-4) unstable; urgency=medium

  * update standards-version

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 28 Nov 2015 21:58:30 -0500

libmirisdr (0.0.4.59ba37-3) unstable; urgency=medium

  * Lintian cleanup of packaging

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 27 Nov 2015 20:23:37 -0500

libmirisdr (0.0.4.59ba37-2) unstable; urgency=low

  * Find libusb on kFreeBSD

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 18 Apr 2014 17:01:55 -0400

libmirisdr (0.0.4.59ba37-1) unstable; urgency=low

  * New package (Closes: #724966)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 13 Apr 2014 14:57:08 -0400
