=== debian/control ===
Source: libmirisdr
Section: libs
Priority: extra
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0~),
               libusb-1.0-0-dev [linux-any],
               libusb-dev [hurd-i386],
               libusb2-dev [kfreebsd-any],
               pkg-config
Standards-Version: 3.9.6
Homepage: http://sdr.osmocom.org/trac/

Package: libmirisdr-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libmirisdr0 (= ${binary:Version}), ${misc:Depends}
Description: Software defined radio support for Mirics hardware (development files)
 Software for the Mirics MSi2500 + MSi001 SDR platform
 .
 The hardware part of MiriSDR brings information from an antenna connector
 to a USB plug.
 .
 This package is the software that provides control of the USB hardware
 and an API to pass data to software defined radio applications on the host.
 .
 This package contains development files.

Package: libmirisdr0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Software defined radio support for Mirics hardware (library)
 Software for the Mirics MSi2500 + MSi001 SDR platform
 .
 The hardware part of MiriSDR brings information from an antenna connector
 to a USB plug.
 .
 This package is the software that provides control of the USB hardware
 and an API to pass data to software defined radio applications on the host.
 .
 This package contains the shared library.

Package: miri-sdr
Architecture: any
Depends: libmirisdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Software defined radio support for Mirics hardware (tools)
 Software for the Mirics MSi2500 + MSi001 SDR platform
 .
 The hardware part of MiriSDR brings information from an antenna connector
 to a USB plug.
 .
 This package is the software that provides control of the USB hardware
 and an API to pass data to software defined radio applications on the host.
 .
 This package contains a set of command line utilities:
