=== src/CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,6 @@
 ########################################################################
 add_library(mirisdr_shared SHARED
     libmirisdr.c
-    tuner_msi001.c
 )
 
 target_link_libraries(mirisdr_shared
@@ -36,8 +35,13 @@
 
 add_library(mirisdr_static STATIC
     libmirisdr.c
-    tuner_msi001.c
 )
+
+if(WIN32)
+add_library(libgetopt_static STATIC
+    getopt/getopt.c
+)
+endif()
 
 target_link_libraries(mirisdr_static
     ${LIBUSB_LIBRARIES}
@@ -54,18 +58,34 @@
 # Build utility
 ########################################################################
 add_executable(miri_sdr miri_sdr.c)
-target_link_libraries(miri_sdr mirisdr_static
+add_executable(miri_fm miri_fm.c)
+set(INSTALL_TARGETS mirisdr_shared mirisdr_static miri_sdr miri_fm)
+
+target_link_libraries(miri_sdr mirisdr_shared
     ${LIBUSB_LIBRARIES}
+    ${CMAKE_THREAD_LIBS_INIT}
 )
 
+target_link_libraries(miri_fm mirisdr_shared
+    ${LIBUSB_LIBRARIES}
+    ${CMAKE_THREAD_LIBS_INIT}
+)
+
+if(UNIX)
+target_link_libraries(miri_fm m)
+endif()
+
 if(WIN32)
+target_link_libraries(miri_sdr libgetopt_static)
+target_link_libraries(miri_fm libgetopt_static)
 set_property(TARGET miri_sdr APPEND PROPERTY COMPILE_DEFINITIONS "mirisdr_STATIC" )
+set_property(TARGET miri_fm APPEND PROPERTY COMPILE_DEFINITIONS "mirisdr_STATIC" )
 endif()
 
 ########################################################################
 # Install built library files & utilities
 ########################################################################
-install(TARGETS mirisdr_shared mirisdr_static miri_sdr
+install(TARGETS ${INSTALL_TARGETS}
     LIBRARY DESTINATION lib${LIB_SUFFIX} # .so/.dylib file
     ARCHIVE DESTINATION lib${LIB_SUFFIX} # .lib file
     RUNTIME DESTINATION bin              # .dll file
