=== debian/changelog ===
libmirisdr (2.0.0-4) unstable; urgency=medium

  * upload to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 20 Dec 2023 22:28:15 -0500

libmirisdr (2.0.0-3) experimental; urgency=medium

  * upload to experimental for dumat tool
  * Move udev files from /lib to /usr/lib, including protective diversion
    against Multi-Arch: same file loss scenario (DEP17 P7 M10).
    (Closes: #1058787)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 16 Dec 2023 08:56:56 -0500

libmirisdr (2.0.0-2) unstable; urgency=medium

  * upload to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 15 Dec 2023 17:56:10 -0500

libmirisdr (2.0.0-1) experimental; urgency=medium

  * New upstream release (Closes: #964875)
    Improvements
    - Better support of SDRPlay through a "flavour" option in the open
      function. This indicator can be used throughout the code if
      necessary. At present it drives the frequency plan that drives the
      choice between the different receiving paths of the MSi001 depending
      on frequency.
    - Remove useless auto gain feature that is just fixed
      gain in fact. The setter/getter still exists for compatibility but
      effectively does nothing.
    - Use more meaningful variable names for what is
      actually gain reductions and not gains.
    - Some comments in the code were translated from
      Czech to English (Google translated) to ease understanding by the
      masses.
   Bug fixes
    - Stop using a deprecated version of libusb.h (1.0.13) and rely on the
      one installed in the system or specified in the cmake command line.
    - Restore gain settings after a frequency, bandwidth or IF change as
      this affects the gain settings.
    - Corrected baseband gain setting.
  * update watch file
  * update man pages
  * add AppStream metadata describing hardware support
  * upload to experimental for soversion bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 14 Dec 2023 20:09:53 -0500

libmirisdr (1.1.2-1) UNRELEASED; urgency=low

  * New upstream release (2017-12-20)
    Upstream moved, last maintainer is f4exb
    many new SDR hardware supported
    + soname bumped

 -- nicoo <nicoo@debian.org>  Sat, 11 Jul 2020 16:02:56 +0200

libmirisdr (0.0.4.59ba37-8) unstable; urgency=medium

  * change section of miri-sdr to comm

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 05 Dec 2023 22:04:40 -0500

libmirisdr (0.0.4.59ba37-7) unstable; urgency=medium

  * upload to unstable (Closes: #1056929)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 05 Dec 2023 21:41:49 -0500

libmirisdr (0.0.4.59ba37-6) experimental; urgency=medium

  [ Chris Hofstaedtler ]
  * Move udev files from /lib to /usr/lib, including protective diversion
    against Multi-Arch: same file loss scenario (DEP17 P7 M10). (Closes: #-1)
  * Remove obsolete postinst tasks (ldconfig, udev reload), now handled by
    triggers.

  [ A. Maitland Bottoms ]
  * update Standards-Version, extra->optional, use debhelper-compat, https
  * prepare for team maintenance updates
  * upload to experimental as requested in #1057190

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 03 Dec 2023 13:40:25 -0500
