=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 Source: libmirisdr
 Section: libs
-Priority: extra
+Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0~),
-               libusb-1.0-0-dev [linux-any],
-               libusb-dev [hurd-i386],
-               libusb2-dev [kfreebsd-any],
-               pkg-config
-Standards-Version: 3.9.6
-Homepage: http://sdr.osmocom.org/trac/
+Build-Depends: cmake, debhelper-compat (= 13), libusb-1.0-0-dev, pkg-config
+Standards-Version: 4.6.2
+Homepage: https://github.com/f4exb/libmirisdr-4/
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/libmirisdr/
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/libmirisdr.git
 
 Package: libmirisdr-dev
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libmirisdr0 (= ${binary:Version}), ${misc:Depends}
+Depends: libmirisdr4 (= ${binary:Version}), ${misc:Depends}
 Description: Software defined radio support for Mirics hardware (development files)
  Software for the Mirics MSi2500 + MSi001 SDR platform
  .
@@ -27,7 +25,7 @@
  .
  This package contains development files.
 
-Package: libmirisdr0
+Package: libmirisdr4
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -44,8 +42,9 @@
  This package contains the shared library.
 
 Package: miri-sdr
+Section: comm
 Architecture: any
-Depends: libmirisdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libmirisdr4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio support for Mirics hardware (tools)
  Software for the Mirics MSi2500 + MSi001 SDR platform
  .
