=== debian/watch ===
version=4
 opts="\
 dversionmangle=s%\+dfsg\d*%%, \
 uversionmangle=s/-rc/~rc/, \
 filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%libmirisdr-$1%" \
 https://github.com/f4exb/libmirisdr-4/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
